Page MenuHomePhabricator

Make requests.js an object and pass through citoid config
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterCreate CitoidService object

Event Timeline

Mvolz created this task.Feb 19 2015, 4:55 PM
Mvolz raised the priority of this task from to Needs Triage.
Mvolz updated the task description. (Show Details)
Mvolz added a project: Citoid.
Mvolz moved this task to Backlog on the Citoid board.
Mvolz added a subscriber: Mvolz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 4:55 PM
Mvolz moved this task from Backlog to Service on the Citoid board.Feb 21 2015, 1:16 PM
Mvolz renamed this task from Switch server.js to be more OO so localsettings are available universally to Make localsettings an object so they settings are available universally.Feb 21 2015, 1:19 PM
Mvolz set Security to None.
Mvolz renamed this task from Make localsettings an object so they settings are available universally to Make requests.js an object and pass through citoid config.Feb 21 2015, 1:53 PM

Change 192084 had a related patch set uploaded (by Mvolz):
[WIP] Create CitoidRequest object

https://gerrit.wikimedia.org/r/192084

Patch-For-Review

Change 192084 merged by Mobrovac:
Create CitoidService object

https://gerrit.wikimedia.org/r/192084

Mvolz closed this task as Resolved.Feb 26 2015, 7:56 PM